%global pkg_name attoparsec

%global common_summary Fast combinator parsing for bytestrings

%global common_description A fast parser combinator library, aimed particularly at \
dealing efficiently with network protocols and complicated \
text/binary file formats.

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.8.5.0
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.8.5.0-3
- Enable build on sparcv9

* Sat Mar 05 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.0-2
- Update to 0.8.5.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.3.0-1
- Update to 0.8.3.0

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-2
- Update to cabal2spec-0.22.4
- Rebuild

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-1
- Update to 0.8.2.0

* Mon Oct 18 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.1-1
- Update to 0.8.1.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
